Subject: Has anyone build gettext from cygnus distribution ?
From: Chris <[email-masked]>
To: cygwin <[email-masked]>
Date: Tue, 09 Feb 1999 11:25:20 +0100

Hi there
I'm trying to build the gettext that comes with cygwin source files...
but it fails :-(

gcc -c -DLOCALEDIR=\"/usr/local/share/locale\"
-DGNULOCALEDIR=\"/usr/local/share/locale\"
-DLOCALE_ALIAS_PATH=\"/usr/local/share/locale:.\" -DHAVE_CONFIG_H -I.
-I.  -g -O2  intl-compat.c
In file included from
C:\cygnus\CYGWIN~1\H-I586~1\bin\..\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\..\..\..\..\i586-cygwin32\include\sys/types.h:27,
                 from libgettext.h:33,
                 from intl-compat.c:23:
C:\cygnus\CYGWIN~1\H-I586~1\bin\..\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\include\stddef.h:170:
warning: empty declaration
In file included from libgettext.h:33,
                 from intl-compat.c:23:
C:\cygnus\CYGWIN~1\H-I586~1\bin\..\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\..\..\..\..\i586-cygwin32\include\sys/types.h:103:
warning: empty declaration
gcc -c -DLOCALEDIR=\"/usr/local/share/locale\"
-DGNULOCALEDIR=\"/usr/local/share/locale\"
-DLOCALE_ALIAS_PATH=\"/usr/local/share/locale:.\" -DHAVE_CONFIG_H -I.
-I.  -g -O2  bindtextdom.c
In file included from
C:\cygnus\CYGWIN~1\H-I586~1\bin\..\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\..\..\..\..\i586-cygwin32\include\malloc.h:10,
                 from bindtextdom.c:26:
C:\cygnus\CYGWIN~1\H-I586~1\bin\..\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\include\stddef.h:170:
warning: empty declaration
In file included from libgettext.h:33,
                 from bindtextdom.c:44:
C:\cygnus\CYGWIN~1\H-I586~1\bin\..\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\..\..\..\..\i586-cygwin32\include\sys/types.h:103:
warning: empty declaration
gcc -c -DLOCALEDIR=\"/usr/local/share/locale\"
-DGNULOCALEDIR=\"/usr/local/share/locale\"
-DLOCALE_ALIAS_PATH=\"/usr/local/share/locale:.\" -DHAVE_CONFIG_H -I.
-I.  -g -O2  dcgettext.c
In file included from dcgettext.c:85:
hash-string.h:20: values.h: No such file or directory
make: *** [dcgettext.o] Error 1

I've just done a "./configure" then "make"
I've found "values.h" in include/mingw32, shall I modify the Makefile ?
Am I doing something wrong ?

Regards

-- 
Christine Pourcelot

--   
Want to unsubscribe from this list?                             
Send a message to [email-masked]